//
//  AVGestureWrapper.h
//  AVGesture
//
//  Created by xiaoyili on 2017/6/23.
//
//
#include "ncnnCommon.h"
#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

#define AppVersion @"7.1.8"

@interface AVGestureGlobalParamsWrapper : NSObject
@property(nonatomic, readonly, copy)NSString* appVersion;
+(AVGestureGlobalParamsWrapper*)shareInstance;
-(NSString*)getVersionInfo;
-(BOOL)setGlobalConfigFilePath:(NSString*)filePath;
-(BOOL)setCnnModelPath:(NSString*)cnnPath;
-(NSString*)getCnnModelPath;
-(BOOL)setFcnModelPath:(NSString*)fcnPath;
-(NSString*)getFcnModelPath;

-(void)setShouldUpload:(BOOL)shouldUpload;

-(void)setAvUploadReport:(void (^)(NSString* tValue, NSString* exInfo))avUploadReport;

@end

@interface AVGestureImg : NSObject
@property(nonatomic, assign)u_char* imgBuff;
@property(nonatomic, assign)int w;
@property(nonatomic, assign)int h;
@end

@interface AVGesturePoint : NSObject
@property(nonatomic, assign)float x;
@property(nonatomic, assign)float y;
@end

@interface AVGestureRecognizorWrapper : NSObject
-(id)initWithbitmap:(u_char*)bitmap w:(int)w h:(int)h fmt:(AVGesture::EImgFmt)fmt;
-(id)initWithBitmap:(u_char*)bitmap w:(int)w h:(int)h;
-(BOOL)doCalc;
-(CGRect)getHotRect;
-(CGRect)getHotRectInOriginImg;
-(NSString*)getGestureType;
-(AVGestureImg*)getImgWithMask;
-(AVGestureImg*)getHotImg;
-(NSArray*)getKeyPoints;
@end
